Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotification::StructuredEvent Struct Reference

Define structured events. More...

`import "CosNotification.idl";`

Collaboration diagram for CosNotification::StructuredEvent:

[legend]
List of all members.

## Public Attributes
EventHeader | header
| The header.
FilterableEventBody | filterable_data
| The part of the body used for filtering.
any | remainder_of_body
| The part of the body not used for filtering.

## Detailed Description

Define structured events.

## Member Data Documentation

FilterableEventBody CosNotification::StructuredEvent::filterable_data

| The part of the body used for filtering.

EventHeader CosNotification::StructuredEvent::header

| The header.

any CosNotification::StructuredEvent::remainder_of_body

| The part of the body not used for filtering.

The documentation for this struct was generated from the following file:

- CosNotification.idl